### Enumeration

# Json ParserError

#### Declaration

    error-domain Json.ParserError

#### Description [src]

Error codes for `JSON_PARSER_ERROR`.

This enumeration can be extended at later date.

#### Members

`JSON_PARSER_ERROR_PARSE`

  Parse error.

  - Value: `0`
  - Available since: 1.0
`JSON_PARSER_ERROR_TRAILING_COMMA`

  Unexpected trailing comma.

  - Value: `1`
  - Available since: 1.0
`JSON_PARSER_ERROR_MISSING_COMMA`

  Expected comma.

  - Value: `2`
  - Available since: 1.0
`JSON_PARSER_ERROR_MISSING_COLON`

  Expected colon.

  - Value: `3`
  - Available since: 1.0
`JSON_PARSER_ERROR_INVALID_BAREWORD`

  Invalid bareword.

  - Value: `4`
  - Available since: 1.0
`JSON_PARSER_ERROR_EMPTY_MEMBER_NAME`

  Empty member name.

  - Value: `5`
  - Available since: 0.16
`JSON_PARSER_ERROR_INVALID_DATA`

  Invalid data.

  - Value: `6`
  - Available since: 0.18
`JSON_PARSER_ERROR_UNKNOWN`

  Unknown error.

  - Value: `7`
  - Available since: 1.0
`JSON_PARSER_ERROR_NESTING`

  Too many levels of nesting.

  - Value: `8`
  - Available since: 1.10
`JSON_PARSER_ERROR_INVALID_STRUCTURE`

  Invalid structure.

  - Value: `9`
  - Available since: 1.10
`JSON_PARSER_ERROR_INVALID_ASSIGNMENT`

  Invalid assignment.

  - Value: `10`
  - Available since: 1.10

#### Type functions

###### json_parser_error_quark

No description available.